<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>
<body>
    <!-- div tag creates a container element that's used to group certain elements together -->
    <!-- Header of our page -->
    <header>
        <h1>HTML Tables and Forms</h1>
    </header>

    <div id="main">
        <!-- Start of the table -->
        <section>
            <h2>HTML Entities</h2>
            <p><em>Reserved Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>

            <!-- Defines an HTML Table -->
            <table border ="1">
                <!-- Used to group table header contents -->
                <thead>
                    <!-- Defines table row -->
                    <tr>
                        <!-- Defines table header element -->
                        <th colspan="2">Entity</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <!-- Used to group table body contents -->
                <tbody>
                    <tr>
                        <!-- Defines table data element -->
                        <td>&lt;</td>
                        <td>lt</td>
                        <td>less than</td>
                    </tr>
                    <tr>
                        <td>&gt;</td>
                        <td>gt</td>
                        <td>greater than</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>peso sign</td>
                    </tr>
                    <tr>
                        <td>&amp;</td>
                        <td>amp</td>
                        <td>ampersand</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>apos</td>
                        <td>single quotation mark</td>
                    </tr>
                    <tr>
                        <td>&ntilde;</td>
                        <td>ntilde</td>
                        <td>lower tilde</td>
                    </tr>
                    <tr>
                        <td>&Ntilde;</td>
                        <td>Ntilde</td>
                        <td>Upper tilde</td>
                    </tr>
                </tbody>
                <!-- Used to group table footer content -->
                <tfoot>
                    <tr>
                        <th colspan="3">List of HTML Entities</th>
                    </tr>
                </tfoot>
            </table>
        </section>
        <!-- End of table -->

        <br>

        <!-- Start of form -->
        <section>
            <h2>HTML Forms</h2>
            <p><em>Input elements that make up a form</em></p>

            <!-- Creates an HTML form to capture user input -->
            <form action="https://google.com">

                <label for="full_name">Full Name:</label><br>
                <input type="text" name="full_name" id="full_name" required><br><br>

                <label for="birth_date">Birth Date:</label><br>
                <input type="date" name="birth_date" id="birth_date"><br><br>

                <label for="age">Age:</label><br>
                <input type="number" name="age" id="age"><br><br>

                <label for="gender">Gender</label><br>
                <!-- Creates a dropdown menu -->
                <select name="gender" id="gender">
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                </select>
                <br><br>

                <label for="notes">Notes:</label><br>
                <textarea name="notes" id="notes" cols="20" rows="10"></textarea><br><br>

                <!-- Radio Buttons -->
                <label>New User:</label><br>
                <input type="radio" name="new_user" id="user-type1" value="yes">
                <label for="user-type1">Yes</label><br>

                <input type="radio" name="new_user" id="user-type2" value="no">
                <label for="user-type2">No</label><br><br>

                <!-- Check Box -->
                <label>Role:</label><br>
                <input type="checkbox" name="role1" id="role1" value="developer">
                <label for="role1">Developer</label><br>

                <input type="checkbox" name="role2" id="role2" value="student">
                <label for="role2">Student</label><br>

                <input type="checkbox" name="role3" id="role3" value="manager">
                <label for="role3">Manager</label><br><br>


                <!-- button:submit - will submit the data form -->
                <button type="submit">Submit</button>
                <button type="reset">Reset</button>
            </form>
        </section>
        <!-- End of form -->
    </div>
</body>
</html>